Bug 1218611 (CVE-2015-3456, VENOM, xsa133)

Summary: CVE-2015-3456 qemu: fdc: out-of-bounds fifo buffer memory access
Product: [Other] Security Response Reporter: Martin Prpič <mprpic>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abaron, acathrow, alonbl, amit.shah, aortega, apevec, areis, ayoung, bazulay, berrange, bmcclain, bressers, bsarathy, carnil, chrisw, dallan, dblechte, drjones, dsafford, eblake, ecohen, ehabkost, fdeutsch, fweimer, gkotton, hannsj_uhl, idith, iheim, imammedo, jen, jsnow, knoel, kroberts, kseifried, lhh, lpeer, lsurette, markmc, michal.skrivanek, mkenneth, mrezanin, mtosatti, oblaut, ondrejj, pbonzini, pmatouse, ppandit, pstehlik, rbalakri, rbarry, rbryant, rhod, rkrcmar, sclewis, security-response-team, sengork, stefanha, vkaigoro, vkuznets, ycui, yeylon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20150513,reported=20150504,source=researcher,cvss2=6.5/AV:A/AC:H/Au:S/C:C/I:C/A:C,cwe=CWE-119,rhel-5/kvm=affected,rhel-5/xen=affected,rhel-5.6.z/kvm=affected,rhel-5.9.z/kvm=affected,rhel-5.6.z/xen=affected,rhel-5.9.z/xen=affected,rhel-6/qemu-kvm=affected,rhel-7/qemu-kvm=affected,rhel-7/qemu-kvm-rhev=affected,rhel-6.2.z/qemu-kvm=affected,rhel-6.4.z/qemu-kvm=affected,rhel-6.5.z/qemu-kvm=affected,openstack-4/qemu-kvm-rhev=affected,openstack-5/qemu-kvm-rhev=affected,openstack-6/qemu-kvm-rhev=affected,fedora-all/qemu=affected,fedora-all/xen=affected,rhev-m-3/rhev-hypervisor=affected,epel-7/qemu=affected,rhev-m-3.4.z/rhev-hypervisor=affected,mitigate=selinux
Fixed In Version: Doc Type: Bug Fix
Doc Text:
An out-of-bounds memory access flaw was found in the way QEMU's virtual Floppy Disk Controller (FDC) handled FIFO buffer access while processing certain FDC commands. A privileged guest user could use this flaw to crash the guest or, potentially, execute arbitrary code on the host with the privileges of the host's QEMU process corresponding to the guest.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-05-27 13:34:15 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1219266, 1219267, 1219268, 1219269, 1219270, 1219271, 1219272, 1219333, 1219625, 1219626, 1219854, 1219855, 1219856, 1219858, 1219960, 1219962, 1219969, 1220010, 1221152, 1221153, 1222041, 1222181, 1223300    
Bug Blocks: 1218612    
Attachments:
Description Flags
A proposed upstream patch. none

Description Martin Prpič 2015-05-05 11:56:03 UTC
An out-of-bounds memory access flaw was found in the way QEMU's virtual Floppy Disk Controller (FDC) handled FIFO buffer access while processing certain FDC commands. A privileged guest user could use this flaw to crash the guest or, potentially, execute arbitrary code on the host with the privileges of the hosting QEMU process.

Acknowledgements:

Red Hat would like to thank Jason Geffner of CrowdStrike for reporting this issue.

Comment 1 Prasad J Pandit 2015-05-06 21:22:59 UTC
Statement: 

This issue affects the versions of the kvm and xen packages as shipped with Red Hat Enterprise Linux 5, the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7, and the versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3. Future updates for the respective releases will address this flaw.

Comment 14 errata-xmlrpc 2015-05-13 10:56:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:0998 https://rhn.redhat.com/errata/RHSA-2015-0998.html

Comment 15 errata-xmlrpc 2015-05-13 11:20:52 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6
  OpenStack 4 for RHEL 6
  OpenStack 5 for RHEL 7
  OpenStack 6 for RHEL 7

Via RHSA-2015:1004 https://rhn.redhat.com/errata/RHSA-2015-1004.html

Comment 17 errata-xmlrpc 2015-05-13 11:22:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1003 https://rhn.redhat.com/errata/RHSA-2015-1003.html

Comment 18 errata-xmlrpc 2015-05-13 11:22:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2015:1002 https://rhn.redhat.com/errata/RHSA-2015-1002.html

Comment 19 errata-xmlrpc 2015-05-13 11:24:28 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2015:1001 https://rhn.redhat.com/errata/RHSA-2015-1001.html

Comment 20 errata-xmlrpc 2015-05-13 11:24:51 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7

Via RHSA-2015:1000 https://rhn.redhat.com/errata/RHSA-2015-1000.html

Comment 22 Petr Matousek 2015-05-13 11:47:29 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1221153]

Comment 23 Petr Matousek 2015-05-13 11:47:36 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1221152]

Comment 25 errata-xmlrpc 2015-05-13 13:36:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:0999 https://rhn.redhat.com/errata/RHSA-2015-0999.html

Comment 26 Jan ONDREJ 2015-05-13 19:10:31 UTC
I think this affects qemu-2.0.0 from EPEL7 too (not only qemu-1.5 from EL7 base).
I have no access to all depending bugs, so sorry if I missed something.

Comment 27 Petr Matousek 2015-05-15 14:44:15 UTC
Created qemu tracking bugs for this issue:

Affects: epel-7 [bug 1222041]

Comment 28 Petr Matousek 2015-05-15 14:45:17 UTC
(In reply to Jan ONDREJ from comment #26)
> I think this affects qemu-2.0.0 from EPEL7 too (not only qemu-1.5 from EL7
> base).

Correct. It's added now, please see bug 1222041 .

Comment 29 errata-xmlrpc 2015-05-15 19:39:03 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-7
  RHEV-H and Agents for RHEL-6

Via RHSA-2015:1011 https://rhn.redhat.com/errata/RHSA-2015-1011.html

Comment 30 Fedora Update System 2015-05-17 06:38:00 UTC
qemu-2.1.3-7.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2015-05-22 17:55:14 UTC
qemu-1.6.2-14.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2015-05-26 03:21:12 UTC
xen-4.4.2-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2015-05-26 03:34:26 UTC
xen-4.3.4-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2015-05-26 03:41:10 UTC
qemu-2.3.0-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2015-05-26 03:43:32 UTC
xen-4.5.0-9.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 37 errata-xmlrpc 2015-05-27 11:46:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.5 EUS - Server and Compute Node Only

Via RHSA-2015:1031 https://rhn.redhat.com/errata/RHSA-2015-1031.html